Kwalitee Issues

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Mojo::Weixin, Mojo::Weixin::Cache, Mojo::Weixin::Client, Mojo::Weixin::Client::Cron, Mojo::Weixin::Client::Remote::_get_qrcode_image, Mojo::Weixin::Client::Remote::_get_qrcode_uuid, Mojo::Weixin::Client::Remote::_is_need_login, Mojo::Weixin::Client::Remote::_login, Mojo::Weixin::Client::Remote::_logout, Mojo::Weixin::Client::Remote::_sync, Mojo::Weixin::Client::Remote::_synccheck, Mojo::Weixin::Const, Mojo::Weixin::Friend, Mojo::Weixin::Group, Mojo::Weixin::Group::Member, Mojo::Weixin::List, Mojo::Weixin::Message, Mojo::Weixin::Message::Base, Mojo::Weixin::Message::Queue, Mojo::Weixin::Message::Remote::_send_text_message, Mojo::Weixin::Model::Base, Mojo::Weixin::Model::Remote::_webwxoplog_markname, Mojo::Weixin::Model::Remote::_webwxoplog_stick, Mojo::Weixin::Model::Remote::_webwxupdatechatroom, Mojo::Weixin::Model::Remote::_webwxverifyuser, Mojo::Weixin::Plugin, Mojo::Weixin::Plugin::AutoVerify, Mojo::Weixin::Plugin::Beauty, Mojo::Weixin::Plugin::FmPush, Mojo::Weixin::Plugin::FuckDaShen, Mojo::Weixin::Plugin::GCM, Mojo::Weixin::Plugin::HwPush, Mojo::Weixin::Plugin::ImageStore, Mojo::Weixin::Plugin::KnowledgeBase, Mojo::Weixin::Plugin::MiPush, Mojo::Weixin::Plugin::Perlcode, Mojo::Weixin::Plugin::Perldoc, Mojo::Weixin::Plugin::PostQRcode, Mojo::Weixin::Plugin::PostQRcodeToTelegram, Mojo::Weixin::Plugin::Riddle, Mojo::Weixin::Plugin::ShowMsg, Mojo::Weixin::Plugin::ShowQRCodeInTerm, Mojo::Weixin::Plugin::ShowQRcode, Mojo::Weixin::Plugin::SmartReply, Mojo::Weixin::Plugin::Weather, Mojo::Weixin::Plugin::XiaoiceReply, Mojo::Weixin::Request, Mojo::Weixin::Run, Mojo::Weixin::Server, Mojo::Weixin::User, Mojo::Weixin::Util

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

use_warnings

Add 'use warnings' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Mojo::Weixin, Mojo::Weixin::Cache, Mojo::Weixin::Client, Mojo::Weixin::Client::Cron, Mojo::Weixin::Client::Remote::_get_qrcode_image, Mojo::Weixin::Client::Remote::_get_qrcode_uuid, Mojo::Weixin::Client::Remote::_is_need_login, Mojo::Weixin::Client::Remote::_login, Mojo::Weixin::Client::Remote::_logout, Mojo::Weixin::Client::Remote::_sync, Mojo::Weixin::Client::Remote::_synccheck, Mojo::Weixin::Const, Mojo::Weixin::Controller, Mojo::Weixin::Friend, Mojo::Weixin::Group, Mojo::Weixin::Group::Member, Mojo::Weixin::List, Mojo::Weixin::Message, Mojo::Weixin::Message::Base, Mojo::Weixin::Message::Handle, Mojo::Weixin::Message::Queue, Mojo::Weixin::Message::Remote::_get_media, Mojo::Weixin::Message::Remote::_revoke_message, Mojo::Weixin::Message::Remote::_send_media_message, Mojo::Weixin::Message::Remote::_send_text_message, Mojo::Weixin::Message::Remote::_upload_media, Mojo::Weixin::Model, Mojo::Weixin::Model::Base, Mojo::Weixin::Model::Remote::_webwxbatchgetcontact, Mojo::Weixin::Model::Remote::_webwxbatchgetcontact_friend, Mojo::Weixin::Model::Remote::_webwxbatchgetcontact_group, Mojo::Weixin::Model::Remote::_webwxbatchgetcontact_group_member, Mojo::Weixin::Model::Remote::_webwxcreatechatroom, Mojo::Weixin::Model::Remote::_webwxgetcontact, Mojo::Weixin::Model::Remote::_webwxgetheadimg, Mojo::Weixin::Model::Remote::_webwxinit, Mojo::Weixin::Model::Remote::_webwxoplog_markname, Mojo::Weixin::Model::Remote::_webwxoplog_stick, Mojo::Weixin::Model::Remote::_webwxstatusnotify, Mojo::Weixin::Model::Remote::_webwxupdatechatroom, Mojo::Weixin::Model::Remote::_webwxverifyuser, Mojo::Weixin::Plugin, Mojo::Weixin::Plugin::AutoVerify, Mojo::Weixin::Plugin::Beauty, Mojo::Weixin::Plugin::FmPush, Mojo::Weixin::Plugin::FuckDaShen, Mojo::Weixin::Plugin::GCM, Mojo::Weixin::Plugin::HwPush, Mojo::Weixin::Plugin::IRCShell, Mojo::Weixin::Plugin::ImageStore, Mojo::Weixin::Plugin::KnowledgeBase, Mojo::Weixin::Plugin::MiPush, Mojo::Weixin::Plugin::Openwx, Mojo::Weixin::Plugin::Perlcode, Mojo::Weixin::Plugin::Perldoc, Mojo::Weixin::Plugin::PostQRcode, Mojo::Weixin::Plugin::PostQRcodeToTelegram, Mojo::Weixin::Plugin::Riddle, Mojo::Weixin::Plugin::ShowMsg, Mojo::Weixin::Plugin::ShowQRCodeInTerm, Mojo::Weixin::Plugin::ShowQRcode, Mojo::Weixin::Plugin::SmartReply, Mojo::Weixin::Plugin::Translation, Mojo::Weixin::Plugin::UploadQRcode, Mojo::Weixin::Plugin::UploadQRcode2, Mojo::Weixin::Plugin::Weather, Mojo::Weixin::Plugin::XiaoiceReply, Mojo::Weixin::Request, Mojo::Weixin::Run, Mojo::Weixin::Server, Mojo::Weixin::User, Mojo::Weixin::Util

no_invalid_versions

Fix the version numbers so that version::is_lax($version) returns true.

Error:

  • lib/Mojo/Weixin/Controller.pm: HASH(0x55f3825634e0)

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.3,1.004006

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
Mojo::Weixin A Weixin Client Framework base on Mojolicious 1.004006 metacpan
Mojo::Weixin::Base metacpan
Mojo::Weixin::Cache metacpan
Mojo::Weixin::Client metacpan
Mojo::Weixin::Client::Cron metacpan
Mojo::Weixin::Const metacpan
Mojo::Weixin::Controller metacpan
Mojo::Weixin::Friend metacpan
Mojo::Weixin::Group metacpan
Mojo::Weixin::Group::Member metacpan
Mojo::Weixin::List metacpan
Mojo::Weixin::Log metacpan
Mojo::Weixin::Message metacpan
Mojo::Weixin::Message::Base metacpan
Mojo::Weixin::Message::Queue metacpan
Mojo::Weixin::Model metacpan
Mojo::Weixin::Model::Base metacpan
Mojo::Weixin::Plugin metacpan
Mojo::Weixin::Plugin::AutoVerify metacpan
Mojo::Weixin::Plugin::Beauty metacpan
Mojo::Weixin::Plugin::FmPush metacpan
Mojo::Weixin::Plugin::FuckDaShen metacpan
Mojo::Weixin::Plugin::GCM metacpan
Mojo::Weixin::Plugin::HwPush metacpan
Mojo::Weixin::Plugin::IRCShell metacpan
Mojo::Weixin::Plugin::ImageStore metacpan
Mojo::Weixin::Plugin::KnowledgeBase metacpan
Mojo::Weixin::Plugin::MiPush metacpan
Mojo::Weixin::Plugin::Openwx metacpan
Mojo::Weixin::Plugin::Perlcode metacpan
Mojo::Weixin::Plugin::Perldoc metacpan
Mojo::Weixin::Plugin::PostQRcode metacpan
Mojo::Weixin::Plugin::PostQRcodeToTelegram metacpan
Mojo::Weixin::Plugin::Riddle metacpan
Mojo::Weixin::Plugin::ShowMsg metacpan
Mojo::Weixin::Plugin::ShowQRCodeInTerm metacpan
Mojo::Weixin::Plugin::ShowQRcode metacpan
Mojo::Weixin::Plugin::SmartReply metacpan
Mojo::Weixin::Plugin::Translation metacpan
Mojo::Weixin::Plugin::UploadQRcode metacpan
Mojo::Weixin::Plugin::UploadQRcode2 metacpan
Mojo::Weixin::Plugin::Weather metacpan
Mojo::Weixin::Plugin::XiaoiceReply metacpan
Mojo::Weixin::Request metacpan
Mojo::Weixin::Run 0.3 metacpan
Mojo::Weixin::Server metacpan
Mojo::Weixin::User metacpan
Mojo::Weixin::Util metacpan

Provides

Name File View
Mojo::Weixin::Controller::App lib/Mojo/Weixin/Controller.pm metacpan
Mojo::Weixin::Controller::App::Controller lib/Mojo/Weixin/Controller.pm metacpan
Mojo::Weixin::Plugin::Openwx::App lib/Mojo/Weixin/Plugin/Openwx.pm metacpan
Mojo::Weixin::Plugin::Openwx::App::Controller lib/Mojo/Weixin/Plugin/Openwx.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README.md metacpan
cpanfile metacpan